<?php

/*
The Namecoach API is included with a single require() statement. You only need to do this once.
*/
require('../src/init.php');

Namecoach\Logger\Log::init(new Namecoach\Logger\Providers\ConsoleLogger());

/*
When you instantiate our API, you must supply a Name Page ID. NameCoach groups recording information
into Name Pages. A single Name Page may contain zero or more name recordings. You can find your
Name Page ID by FIXME

In this example, we use an demo Name Page ID that is always valid.
*/
$api = new Namecoach\Api("example-237eyc55");

/*
Make an API call to fetch all students from the NameCoach Name Page specified above.
*/
$students = $api->get_students();

/*
If you are interacting with your SiS, we recommend using one of the SiS providers supplied with
NameCoach API, or using our SisProviderInterface to write your own. If you do write one and would
like us to consider adding it to our stock providers, please send your implementation to us or
fork our repo and send a pull request.

In this example, we use the ConsoleProvider which does nothing more than echo the student ID and
audio URL to the console. You do not need to require() these classes as they are autoloaded.
*/
$provider = new Namecoach\SisProviders\ConsoleProvider();

/*
Loop through each student object, calling the write_student() method of our chosen
SiS provider.
*/
foreach($students as $student)
{
  $provider->write_student($student);
}
