<?php
/*
The Namecoach API is included with a single require() statement. You only need to do this once.
*/
require('../src/init.php');

Namecoach\Logger\Log::init(new Namecoach\Logger\Providers\ConsoleLogger());

/*
When you instantiate our API, you must supply a Name Page ID. NameCoach groups recording information
into Name Pages. A single Name Page may contain zero or more name recordings. You can find your
Name Page ID by FIXME

In this example, we use an demo Name Page ID that is always valid.
*/
$api = new Namecoach\Api("example-237eyc55");

/*
Make an API call to fetch all students from the NameCoach Name Page specified above.
*/
$students = $api->get_students();

/*
Sunguard ESchool SiS uses a mySQL backing database. This demo assumes that you have created
a custom field and have the district, screen, and list numbers as well as a valid staff name.

You must also initiate a PDO connection to ESchool.
*/
$pdo = new PDO('mysql:host=hostname;dbname=ssldb', 'username', 'password');
$provider = new Namecoach\SisProviders\SunguardEschoolProvider($pdo, [
  'district_number'=>'',
  'screen_number'=>'',
  'field_number'=>'',
  'list_number'=>'', 
  'staff_name'=>'',
]);

/* Custom provider call to remove previous custom info */
$provider->reset_students();

/*
Loop through each student object, calling the write_student() method of our chosen
SiS provider.
*/
foreach($students as $student)
{
  $provider->write_student($student);
}
