<?php


namespace Namecoach;

use Namecoach\Logger\Log;
  
class Api
{
  static $API_URL="https://www.name-coach.com/api/private/v2";
  
  function __construct($access_code)
  {
    $this->access_code = $access_code;
    Log::debug('API initialized.');
  }
  
  function get_students()
  {
    Log::debug('API - Fetching students.');
    $url = sprintf("%s/names/?access_code=%s", self::$API_URL, urlencode($this->access_code));
    $json = file_get_contents($url);
    $data = json_decode($json);
    if($data->result!='success') return [];
    $students = [];
    foreach($data->data as $student_info)
    {
      $students[] = new Student($student_info);
    }    
    Log::debug("API - %d students fetched", count($students));
    return $students;
  }
}