<?php

namespace Namecoach\SisProviders;
  
use Namecoach\Student;

class SunguardEschoolProvider implements SisProviderInterface
{
  function __construct($pdo, $district_number, $screen_number, $field_number, $list_number, $staff_name)
  {
    $this->pdo = $pdo;
    $this->district_number = $district_number;
    $this->screen_number = $screen_number;
    $this->field_number = $field_number;
    $this->list_number = $list_number;
    $this->staff_name = $staff_name;
  }
  
  function reset_students()
  {
    $params = [
      ':screen_number'=>$this->screen_number,
      ':field_number'=>$this->field_number,
    ];
    $statement = $this->pdo->prepare("DELETE FROM reg_user WHERE screen_number=:screen_number AND field_number=:field_number");
    $statement->execute($params);
  }
  
  function write_student(Student $student)
  {
    $params = [
      ':district' => $this->district_number,
      ':sid' => $student->id,
      ':screen' => $this->screen_number,
      ':field' => $this->field_number,
      ':list' => $this->list_number,
      ':value' => $student->audio_url,
      ':date' => time(),
      ':staff' => $this->staff_name,
    ];
  
    $sth = $esp->prepare("INSERT INTO reg_user (
        district, student_number, screen_number, field_number, list_sequence, field_value, change_date_time, change_uid
    ) VALUES (
        :district, :sid, :screen, :field, :list, :value, :date, :staff
    )");
    $sth->execute($params);
  }  
}